Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Instrmnt Class Reference

STK instrument abstract base class. More...

`#include <Instrmnt.h>`

Inheritance diagram for Instrmnt:

List of all members.

## Public Member Functions

| Instrmnt ()
| Default constructor.
virtual | ~Instrmnt ()
| Class destructor.
virtual void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)=0
| Start a note with the given frequency and amplitude.
virtual void | noteOff (MY_FLOAT amplitude)=0
| Stop a note with the given amplitude (speed of decay).
virtual void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | lastOutLeft () const
| Return the last left output value.
MY_FLOAT | lastOutRight () const
| Return the last right output value.
virtual MY_FLOAT | tick ()=0
| Compute one output sample.
virtual MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Computer vectorSize outputs and return them in vector.
virtual void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK instrument abstract base class.

This class provides a common interface for all STK instruments.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 18 of file Instrmnt.h.

The documentation for this class was generated from the following file:

- Instrmnt.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.